package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import java.util.ArrayList;
import java.util.List;

public class CTry extends CStmt{
    private CBlock CBlock;
    private List<CCatch> CCatch;
    private CFinally CFinally;

    private String line;
    private String col;
    private String endline;
    private String endcol;
    private String commentToken;
    private String startToken;
    private String endToken;
    private String idkind;
    
    public CTry() {
        line = null;
        col = null;
        endline = null;
        endcol = null;
        startToken = null;
        commentToken = null;
        startToken = null;
        endToken = null;
        idkind = null;

        CBlock = null;
        CCatch = new ArrayList<CCatch>();
        CFinally = null;
    }

    public CBlock getCBlock() {
        return CBlock;
    }

    public void setCBlock(CBlock CBlock) {
        this.CBlock = CBlock;
    }

    public List<CCatch> getCCatch() {
        return CCatch;
    }

    public void setCCatch(List<CCatch> CCatch) {
        this.CCatch = CCatch;
    }

    public void addCCatch(CCatch cc){
        this.CCatch.add(cc);
    }

    public CFinally getCFinally() {
        return CFinally;
    }

    public void setCFinally(CFinally CFinally) {
        this.CFinally = CFinally;
    }

    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndcol() {
        return endcol;
    }

    public void setEndcol(String endcol) {
        this.endcol = endcol;
    }

    public String getEndline() {
        return endline;
    }

    public void setEndline(String endline) {
        this.endline = endline;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }


}
